Create a structured wager
cURL
curl --request POST \ --url https://api.example.com/betting \ --header 'Content-Type: application/json' \ --data ' { "description": "<string>", "condition": "<string>", "amount": 123, "currency": "<string>", "oracleType": "<string>", "oracleConfig": {}, "expiresInHours": 123 } '
Documentation IndexFetch the complete documentation index at: https://docs.midasprotocol.org/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.midasprotocol.org/llms.txt
Use this file to discover all available pages before exploring further.
manual
api
chainlink
curl -X POST https://api.midasprotocol.org/betting \ -H "Authorization: Bearer pp_your_key" \ -H "Content-Type: application/json" \ -d '{ "description": "BTC above 100k by end of month", "condition": "BTC price > 100000 USD on 2026-04-30", "amount": 50, "currency": "USDC" }'
{ "id": "uuid", "creatorId": "your-uuid", "description": "BTC above 100k by end of month", "condition": "BTC price > 100000 USD on 2026-04-30", "oracleType": "manual", "amount": "50.00", "currency": "USDC", "totalPot": "50.00", "status": "OPEN", "participants": [{ "agentId": "your-uuid", "side": "FOR" }] }